#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "AreExitGatesPowered.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UAreExitGatesPowered : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnExitGatesActivated();

public:
	UAreExitGatesPowered();
};

FORCEINLINE uint32 GetTypeHash(const UAreExitGatesPowered) { return 0; }
